%define oname re-alpine

Summary: Alpine mail user agent
Name: alpine
Version: 2.03
Release: %mkrel 4
License: ASL 2.0
Group: Networking/Mail
Source: http://sourceforge.net/projects/%{oname}/files/%{oname}-%{version}.tar.bz2
Patch0: alpine-2.00-string-format.patch
Patch1: alpine-2.00-link.patch
Patch2: alpine-2.00-maildir.patch
URL: http://www.washington.edu/alpine
BuildRequires: hunspell
BuildRequires: ncurses-devel
BuildRequires: pam-devel
BuildRequires: openssl-devel
BuildRequires: libldap-devel
BuildRequires: gettext-devel
Conflicts: pine
Requires: hunspell
Requires: mailcap

%description
Alpine is a tool for reading, sending, and managing e-mail and
internet news (usenet) messages. It is the successor to Pine and
was developed by Computing & Communications at the University of
Washington.

Though originally designed for inexperienced email users,
Alpine supports many advanced features and a large number of
configuration and personal-preference options.

This package contains re-alpine, a continuation of alpine. It is
patched to add support for maildir style mailboxes.

%prep
%setup -q -n %{oname}-%{version}
%patch0 -p1 -b .stft
%patch1 -p0 -b .link
%patch2 -p1 -b .maildir

%build
# -fPIC is only needed for shared objects, should not be in optflags
export CFLAGS=$(echo "%{optflags}"|sed -e 's/-fPIC//')
export CXXFLAGS=$(echo "%{optflags}"|sed -e 's/-fPIC//')
export RPM_OPT_FLAGS=$(echo "%{optflags}"|sed -e 's/-fPIC//')

autoreconf -fi
touch imap/ip6
%configure2_5x --without-krb5 \
           --without-tcl \
           --with-c-client-target=lfd \
           --with-passfile=.alpine.passfile \
           --with-system-pinerc=%{_sysconfdir}/pine.conf \
           --with-system-fixed-pinerc=%{_sysconfdir}/pine.conf.fixed
%make

%install
%makeinstall

install -D -m755 imap/mailutil/mailutil %{buildroot}%{_bindir}/mailutil
install -D -m755 imap/mlock/mlock %{buildroot}%{_sbindir}/mlock
install -D -m644 imap/src/mailutil/mailutil.1 %{buildroot}%{_mandir}/man1/mailutil.1

# create/touch %ghost'd files
mkdir -p %{buildroot}%{_sysconfdir}
touch %{buildroot}%{_sysconfdir}/pine.conf
touch %{buildroot}%{_sysconfdir}/pine.conf.fixed

%files
%doc README LICENSE doc/tech-notes.txt
%{_bindir}/alpine
%{_bindir}/pico
%{_bindir}/pilot
%{_bindir}/rpload
%{_bindir}/rpdump
%{_bindir}/mailutil
%attr(2755, root, mail) %{_sbindir}/mlock
%{_mandir}/man1/alpine.1*
%{_mandir}/man1/pico.1*
%{_mandir}/man1/pilot.1*
%{_mandir}/man1/rpload.1*
%{_mandir}/man1/rpdump.1*
%{_mandir}/man1/mailutil.1*
%ghost %config(noreplace) %{_sysconfdir}/pine.conf
%ghost %config(noreplace) %{_sysconfdir}/pine.conf.fixed


%changelog
* Wed Mar 02 2016 umeabot <umeabot> 2.03-4.mga6
+ Revision: 983124
- Rebuild for openssl

* Mon Feb 08 2016 umeabot <umeabot> 2.03-3.mga6
+ Revision: 950816
- Mageia 6 Mass Rebuild

* Sun Nov 23 2014 cjw <cjw> 2.03-2.mga5
+ Revision: 798467
- drop incorrect -fPIC from CFLAGS

* Sun Nov 09 2014 cjw <cjw> 2.03-1.mga5
+ Revision: 796102
- re-alpine 2.03

* Wed Oct 15 2014 umeabot <umeabot> 2.02-6.mga5
+ Revision: 750833
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.02-5.mga5
+ Revision: 677737
- Mageia 5 Mass Rebuild

* Sun Mar 09 2014 wally <wally> 2.02-4.mga5
+ Revision: 601532
- rebuild for mga5

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.02-3.mga3
+ Revision: 345514
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 15 2011 fwang <fwang> 2.02-2.mga2
+ Revision: 182281
- more linkage fix
- turn to default hunspell

* Thu Apr 21 2011 cjw <cjw> 2.02-1.mga1
+ Revision: 89595
- imported package alpine


* Thu Apr 21 2011 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.02-1
- re-alpine 2.02
- fix package description
- do not try to set mlock permissions in %%install

* Wed Oct 06 2010 Funda Wang <fwang@mandriva.org> 2.00-7mdv2011.0
+ Revision: 583361
- bump rel

* Tue Oct 05 2010 Funda Wang <fwang@mandriva.org> 2.00-6mdv2011.0
+ Revision: 583119
- fix linkage
- update str fmt patch (mdv#61199)

* Thu Apr 08 2010 Rémy Clouard <shikamaru@mandriva.org> 2.00-6mdv2010.1
+ Revision: 533142
- Rebuild for new openssl

* Mon Oct 26 2009 Rémy Clouard <shikamaru@mandriva.org> 2.00-5mdv2010.0
+ Revision: 459439
- fix missing buildrequires
- make alpine rebuild against our libtool

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Wed Jan 14 2009 Frederik Himpe <fhimpe@mandriva.org> 2.00-2mdv2009.1
+ Revision: 329602
- Fix format string warnings
- Sync with Fedora:
  * Disable build of tcl cgi webmail (it was not packaged anyway)
  * Use system pinerc and fixed pinerc in /etc
  * Use passfile to save passwords (bug #46703)
  * Add mailcap and aspell requirements
  * Use %%makeinstall_std, only install mailutil and mlock by hand

* Wed Aug 27 2008 Frederik Himpe <fhimpe@mandriva.org> 2.00-1mdv2009.0
+ Revision: 276622
- update to new version 2.00

* Mon Aug 11 2008 Olivier Thauvin <nanardon@mandriva.org> 1.10-3mdv2009.0
+ Revision: 270763
- 1.10

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild

* Sun Dec 30 2007 Olivier Thauvin <nanardon@mandriva.org> 1.00-1mdv2008.1
+ Revision: 139451
- fix group
- conflicts with pine, of course
- import alpine


